Package com.independentsoft.office.charts

# Class Protection

java.lang.Object
com.independentsoft.office.charts.Protection

public class Protection extends Object
The Class Protection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Protection()`
  Instantiates a new protection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Protection`
  `clone()`
  `boolean`
  `isChartObject()`
  Checks if is chart object.
  `boolean`
  `isData()`
  Checks if is data.
  `boolean`
  `isFormatting()`
  Checks if is formatting.
  `boolean`
  `isSelection()`
  Checks if is selection.
  `boolean`
  `isUserInterface()`
  Checks if is user interface.
  `void`
  `setChartObject​(boolean chartObject)`
  Sets the chart object.
  `void`
  `setData​(boolean data)`
  Sets the data.
  `void`
  `setFormatting​(boolean formatting)`
  Sets the formatting.
  `void`
  `setSelection​(boolean selection)`
  Sets the selection.
  `void`
  `setUserInterface​(boolean userInterface)`
  Sets the user interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Protection

    public Protection()
    Instantiates a new protection.

- ## Method Details

  - ### clone

    public Protection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isChartObject

    public boolean isChartObject()
    Checks if is chart object.
    Returns:
      true, if is chart object

  - ### setChartObject

    public void setChartObject​(boolean chartObject)
    Sets the chart object.
    Parameters:
      `chartObject` - the new chart object

  - ### isData

    public boolean isData()
    Checks if is data.
    Returns:
      true, if is data

  - ### setData

    public void setData​(boolean data)
    Sets the data.
    Parameters:
      `data` - the new data

  - ### isFormatting

    public boolean isFormatting()
    Checks if is formatting.
    Returns:
      true, if is formatting

  - ### setFormatting

    public void setFormatting​(boolean formatting)
    Sets the formatting.
    Parameters:
      `formatting` - the new formatting

  - ### isSelection

    public boolean isSelection()
    Checks if is selection.
    Returns:
      true, if is selection

  - ### setSelection

    public void setSelection​(boolean selection)
    Sets the selection.
    Parameters:
      `selection` - the new selection

  - ### isUserInterface

    public boolean isUserInterface()
    Checks if is user interface.
    Returns:
      true, if is user interface

  - ### setUserInterface

    public void setUserInterface​(boolean userInterface)
    Sets the user interface.
    Parameters:
      `userInterface` - the new user interface